Bug 572232 - (CVE-2010-0744) CVE-2010-0744 aMSN: Improper SSL certificate validation (MITM) when connecting to the MSN server
CVE-2010-0744 aMSN: Improper SSL certificate validation (MITM) when connectin...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://seclists.org/bugtraq/2009/Jun/239
impact=moderate,source=debian,reporte...
: Security
Depends On: 572249
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 10:50 EST by Jan Lieskovsky
Modified: 2012-04-21 09:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 09:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-03-10 10:50:42 EST
Gabriel Menezes Nunes reported:
  [1] http://seclists.org/bugtraq/2009/Jun/239

that aMSN messenger failed to properly validate SSL certificates
when connecting to the MSN server. A remote attacker could
use this flaw to conduct man-in-the-middle attacks and / or
impersonate trusted servers.

References:
  [2] http://www.juniper.net/security/auto/vulnerabilities/vuln35507.html
  [3] http://secunia.com/advisories/35621/
  [4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572818

Some upstream aMSN-devel communication regarding the patch:
  [5] http://www.opensource-archive.org/showthread.php?p=183821

And relevant commit:
  [6] http://amsn.svn.sourceforge.net/viewvc/amsn/trunk/?view=log&pathrev=11991

CVE Request:
  [7] http://www.openwall.com/lists/oss-security/2010/03/10/4
Comment 1 Jan Lieskovsky 2010-03-10 11:18:55 EST
This issue affects the versions of the amsn package, as shipped
with Fedora releases of 11 and 12.

Please fix, once the proposed, upstream patch [6] gets stabilized.
Comment 3 Jan Lieskovsky 2010-04-03 12:14:39 EDT
This is CVE-2010-0744.
Comment 4 Jan Lieskovsky 2010-04-03 12:16:55 EDT
Sander,

  could you please build new amsn package for Fedora
releases of 11 and 12, with proposed upstream changes:
  [1] http://amsn.svn.sourceforge.net/viewvc/amsn?view=rev&revision=11991
  [2] http://amsn.svn.sourceforge.net/viewvc/amsn/trunk/amsn/ca-certs/?view=log
  anything else?

Thanks && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 5 Fedora Update System 2010-04-24 09:36:44 EDT
amsn-0.98.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/amsn-0.98.3-1.fc13
Comment 6 Fedora Update System 2010-04-24 09:47:07 EDT
amsn-0.98.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/amsn-0.98.3-1.fc12
Comment 7 Fedora Update System 2010-04-24 09:58:34 EDT
amsn-0.98.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/amsn-0.98.3-2.fc11
Comment 8 Fedora Update System 2010-04-25 09:50:14 EDT
amsn-0.98.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-05-10 12:55:56 EDT
amsn-0.98.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-10 13:08:05 EDT
amsn-0.98.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.